Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.licel.jcardsim.crypto
Interface KeyWithParameters

All Known Implementing Classes:
  DSAKeyImpl, DSAPrivateKeyImpl, DSAPublicKeyImpl, ECKeyImpl, ECPrivateKeyImpl, ECPublicKeyImpl, KeyImpl, RSAKeyImpl, RSAPrivateCrtKeyImpl, SymmetricKeyImpl

    public interface KeyWithParameters

Method Summary
`org.bouncycastle.crypto.KeyGenerationParameters` | `getKeyGenerationParameters(SecureRandom rnd)` Get keypair generation parameters for use with BouncyCastle Crypto API
`org.bouncycastle.crypto.CipherParameters` | `getParameters()` Get cipher key parameters for use with BouncyCastle Crypto API

Method Detail

### getParameters

    org.bouncycastle.crypto.CipherParameters getParameters()

  Get cipher key parameters for use with BouncyCastle Crypto API

  Returns:
    key parameters

### getKeyGenerationParameters

    org.bouncycastle.crypto.KeyGenerationParameters getKeyGenerationParameters(SecureRandom rnd)

  Get keypair generation parameters for use with BouncyCastle Crypto API

  Returns:
    key parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD